:root {
    --bg-color: #030c16;
    --bg-section-color: #010f1f;
    --second-bg-color: #0b101b;
    --text-color: white;
    --main-color: #00c8ffb3;
    --second-color: #007bff99;
}


.box-projetos {
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.box-projetos_card {
    display: flex;
    flex-direction: column;
    height: 85vh;
    padding: 1.5rem;
    margin-bottom: 3rem;
    background: rgba(0, 0, 0, 0.4);
    border-radius: 10px;
    box-shadow: 0 0 10px var(--main-color);
    position: relative;

}

.box-projetos_card h3 {
    width: 250px;
    font-family: "Black Ops One", system-ui;
    font-size: 1.5rem;
    font-weight: 500;
    text-align: center;
    padding: 0.5rem;
    margin-bottom: 1rem;
    border-radius: 10px;
}

.projetos-carousel {
    flex: 1;
    width: 100%;
    overflow: hidden;
    border-radius: 10px;
    position: relative;
}

/* CARROSSEL */
.projetos-carousel_card {
    position: absolute;
    background-size: 100% auto;
    background-position: center;
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: opacity 1s ease-in-out;
    background-size: cover;
    background-position: center;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    text-align: center;
    overflow: hidden;

}

.projetos-carousel_scroll {
    background-size: cover;
    background-position: top;
    transition: background-position 4s ease;
}

.projetos-carousel_scroll:hover {
    background-position: bottom;
    transition: background-position 6s linear;
}

.projetos-carousel_card.active {
    opacity: 1;
}

.projetos-carousel_item {
    max-width: 600px;
    padding: 2rem;
    background-color: rgba(0, 0, 0, 0.5);
    box-shadow: 0 0 10px var(--main-color);
    border: 2px solid transparent;
    backdrop-filter: blur(10px);
    border-radius: 20px;
    animation: fadeIn 1s ease-in-out;
    position: relative;
    z-index: 10;
    pointer-events: auto;
    transition: 0.3s ease-in-out;
    cursor: pointer;
}

.projetos-carousel_item:hover {
    background-position: bottom;
    transition: background-position 6s linear; 
    border: 2px solid var(--main-color);
}

.projetos-carousel_item h4 {
    font-size: 1.6rem;
    margin-bottom: 1rem;
}

.projetos-carousel_item p {
    font-size: 1.3rem;
    font-weight: 300;
    margin-bottom: 2rem;
}

.projetos-carousel_descricao {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

.projetos-carousel_descricao-img {
    display: flex;
    justify-content: space-between;
}

.projetos-carousel_img-txt img {
    width: 50px;
}

.projetos-carousel_img-txt p {
    font-size: 0.9rem;
}

.projetos-btn {
    display: inline-block;
    padding: 1rem 2rem;
    background: var(--main-color);
    border-radius: 10px;
    color: white;
    font-weight: bold;
    transition: all .3s ease;
}

.projetos-btn:hover {
    background: var(--second-color);
    box-shadow: 0 0 25px var(--main-color);
}

.projetos_indicators-controls {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2rem;
    margin-top: 1rem;
}

.projetos-indicators {
    bottom: 120px;
    display: flex;
    gap: 1rem;
    z-index: 10;
}

.projetos-indicator {
    width: 15px;
    height: 15px;
    border-radius: 50%;
    background-color: var(--second-color);
    cursor: pointer;
    transition: all .3s ease;
}

.projetos-indicator.active {
    background-color: var(--main-color);
    box-shadow: 0 0 25px var(--main-color);
    transform: scale(1.2);
}

.projetos-controls {
    bottom: 50px;
    display: flex;
    gap: 1rem;
    z-index: 10;
}

.control-projetos_btn {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    color: white;
    background-color: var(--main-color);
    border: none;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.5rem;
    color: #333;
    transition: all .3s ease;
}

.control-projetos_btn:hover {
    background-color: var(--second-color);
}

.projetos-btn_principal {
    width: 300px;
    color: white;
    border: 2px solid var(--main-color);
    border-radius: 10px;
    padding: 1rem;
    margin: auto;
    font-family: "Black Ops One", system-ui;
    font-size: 1.5rem;
    font-weight: 500;
    text-align: center;
    animation: outline 1s ease-in-out infinite;
    transition: 0.3s ease-in-out;
}

.projetos-btn_principal:hover {
    transform: scale(1.1);
}

@keyframes outline {
    from{
        outline: 0 solid var(--main-color);
    }

    to {
        outline: 15px solid rgba(0, 255, 255, 0);
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@media (max-width: 768px) {

    .box-projetos_card {
        height: auto; 
        min-height: 600px;
        padding: 1rem;
    } 

    .box-projetos_card h3 {
        width: 100%;
        font-size: 1.2rem;
    }

    .projetos-carousel_card h2 {
        font-size: 2rem;
    }

    .projetos-carousel_card p {
        font-size: 1.2rem;
    }


    .control-projetos_btn {
        width: 40px;
        height: 40px;
        font-size: 1.2rem;
    }

    .projetos-indicator {
        width: 10px;
        height: 10px;
    }

    .projetos-btn_principal {
        width: 100%;
        max-width: 280px;
        font-size: 1.2rem;
    }
}


@media (max-width: 480px) {
    .projetos-carousel_item {
        width: 95%; 
        padding: 1.2rem; 
        border-radius: 15px;
    }

    .projetos-carousel_item h4 {
        font-size: 1.3rem; 
    }

    .projetos-carousel_item p {
        font-size: 1rem;
        line-height: 1.4;
    }

    .projetos-carousel_img-txt img {
        width: 35px;
    }
}
